grid {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 1em;
  min-height: 0;
}

.project_card_wrapper {
  text-decoration: none;
  color: white !important;
}

.project_card {
  display: grid;
  grid-template-rows: 1fr auto;

  border: solid .1em white;
  width: 10.5em; /* Fits exactly 17 characters */
  height: 10.6em; /* Fits exactly 7 lines */

  &:hover {
    border-style: dashed;
    & p {
      border-top-style: dashed;
    }
  }

  & div {
    text-decoration: none;
    white-space: preserve;
    overflow: hidden;
    text-wrap: nowrap;

    padding-top: .15em;
    padding-left: .15em;
  }
  
  & p {
    padding: .2em .5em;
    margin: 0;
    min-height: 1.5em;
    border-top: solid .1em white;
    text-align: center;

    display: block;
    text-decoration: white solid underline auto;
    text-wrap: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    
    &:hover {
      text-wrap: wrap;
    }
  }
}
